Package: org.grails.web.servlet.boostrap

## [Java] Class DefaultGrailsBootstrapClass

- org.grails.web.servlet.boostrap.DefaultGrailsBootstrapClass

- All Implemented Interfaces and Traits:
    GrailsBootstrapClass

      @java.lang.SuppressWarnings("serial")
      public class DefaultGrailsBootstrapClass
      extends AbstractGrailsClass
      implements GrailsBootstrapClass

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static groovy.lang.Closure` | `BLANK_CLOSURE` |
    `static java.lang.String` | `BOOT_STRAP` |
    `private static java.lang.String` | `DESTROY_CLOSURE` |
    `private static java.lang.String` | `INIT_CLOSURE` |
    `private java.lang.Object` | `instance` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `classPropertyFetcher, clazz, fullName, grailsApplication, isAbstract, logicalPropertyName, name, naturalName, packageName, propertyName, shortName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsBootstrapClass (java.lang.Class<?> clazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `call(java.lang.Object args)`
    `` | `public void` | `callDestroy()`
    `` | `public void` | `callInit(javax.servlet.ServletContext servletContext)`
    `` | `public groovy.lang.Closure<?>` | `getDestroyClosure()`
    `` | `public groovy.lang.Closure<?>` | `getInitClosure()`
    `` | `public java.lang.Object` | `getReferenceInstance()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, resolvePropertyFetcher, setGrailsApplication, toString`

- - ### Field Detail

    - #### @java.lang.SuppressWarnings("rawtypes") private static final groovy.lang.Closure BLANK_CLOSURE

    - #### public static final java.lang.String BOOT_STRAP

    - #### private static final java.lang.String DESTROY_CLOSURE

    - #### private static final java.lang.String INIT_CLOSURE

    - #### private final java.lang.Object instance

  - ### Constructor Detail

    - #### public DefaultGrailsBootstrapClass(java.lang.Class<?> clazz)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object call(java.lang.Object args)

    - #### public void callDestroy()

    - #### public void callInit(javax.servlet.ServletContext servletContext)

    - #### public groovy.lang.Closure<?> getDestroyClosure()

    - #### public groovy.lang.Closure<?> getInitClosure()

    - #### @java.lang.Override public java.lang.Object getReferenceInstance()